%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/cyphar/filepath-securejoin
Version:                0.2.3

%gometa

%global common_description %{expand: An implementation of SecureJoin, a
candidate for inclusion in the Go standard library. The purpose of this function
is to be a "secure" alternative to filepath.Join, and in particular it provides
certain guarantees that are not provided by filepath.Join.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Proposed filepath.SecureJoin implementation

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
